-----------------------------------------------------------------------------
-- |
-- Module      :  Windll
-- Copyright   :  (c) Tamar Christina 2009 - 2010
-- License     :  BSD3
-- 
-- Maintainer  :  tamar@zhox.com
-- Stability   :  experimental
-- Portability :  portable
--
-- This module contains code to analyze datatypes in order to generate
-- QuickCheck arbitrary instances.
--
-----------------------------------------------------------------------------

module Tests.Exec.Analyze where

import WinDll.Identifier
import WinDll.Utils.Feedback
import WinDll.Session.Hs2lib

import Tests.Exec.Structs

analyzeModule :: Exec [Arbitrary]
analyzeModule 
  = do modinfo <- generateMain
       return []